<%@ Control Language="c#" CodeBehind="UMS_Actions.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.QueryActions.UMS_Actions"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="uc1" TagName="QMAEditors" Src="UMS_QMAEditors.ascx" %>
<%@ Register TagPrefix="ASEdit" TagName="ASEditor" Src="../UMS_ASEdit.ascx" %>


<asp:Panel ID="_pnlMessage" runat="server" />
<asp:Panel ID="_pnlFront" runat="server">
    <table cellspacing="0" cellpadding="2" width="100%" border="0">
        <tr>
            <td class="SubHead" colspan="2">
                <dnn:label id="plQueryList" runat="server" suffix="" controlname="_lbxActionsQueries">
                </dnn:label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:ListBox ID="_lbxActionsQueries" runat="server" AutoPostBack="false" CssClass="Normal"
                    SelectionMode="Single" Rows="12" Width="150" DataTextField="Name" DataValueField="ActionQueryId" />
            </td>
            <td valign="middle" nowrap width="100%">
                <dnn:commandbutton id="_cmdAddActionQuery" runat="server" resourcekey="_cmdAddActionQuery"
                    CssClass="CommandButton" imageurl="~/images/add.gif" /><br>
                <br>
                <dnn:commandbutton id="_cmdEditActionQuery" runat="server" resourcekey="_cmdEditActionQuery"
                    CssClass="CommandButton" imageurl="~/images/edit.gif" /><br>
                <br>
                <dnn:commandbutton id="_cmdCopyActionQuery" runat="server" resourcekey="_cmdCopyActionQuery"
                    CssClass="CommandButton" imageurl="~/images/copy.gif" /><br>
                <br>
                <dnn:commandbutton id="_cmdDeleteActionQuery" runat="server" resourcekey="_cmdDeleteActionQuery"
                    CssClass="CommandButton" imageurl="~/images/delete.gif" /><br>
                <br>
                <dnn:commandbutton id="_cmdExecuteActionQuery" runat="server" resourcekey="_cmdExecuteActionQuery"
                    CssClass="CommandButton" imageurl="~/images/ffwd.gif" />
            </td>
        </tr>
    </table>
    <p>
        <asp:DataGrid ID="_dgResults" runat="server">
            <HeaderStyle Font-Bold="True" BackColor="#C0FFFF"></HeaderStyle>
        </asp:DataGrid>
    </p>
</asp:Panel>
<asp:Panel ID="_pnlEdit" runat="server" Visible="false">
    <asp:HiddenField ID="_hfQAID" runat="server" />
    <table cellspacing="0" cellpadding="2" width="100%" summary="DNNMasters_QueryManager edit design table">
        <tr>
            <td class="SubHead" nowrap>
                <dnn:label id="lblActionQueryName" runat="server" suffix=":" controlname="_txbActionQueryName">
                </dnn:label>
            </td>
            <td nowrap width="100%">
                <asp:TextBox ID="_txbActionQueryName" runat="server" Width="60%" CssClass="NormalTextBox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="top" nowrap>
                <dnn:label id="lblChooseQuery" runat="server" suffix=":" controlname="_ddlChooseQuery">
                </dnn:label>
            </td>
            <td valign="top" nowrap width="100%">
                <asp:DropDownList ID="_ddlChooseQuery" runat="server" CssClass="NormalTextBox" Width="200" DataValueField="QueryId" DataTextField="Name" />
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="top" nowrap>
                <dnn:label id="lblChooseAction" runat="server" controlname="_ddlChooseAction" suffix=":" />
            </td>
            <td valign="top" nowrap width="100%">
                <asp:DropDownList ID="_ddlChooseAction" runat="server" AutoPostBack="True" CssClass="NormalTextBox" Width="200" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Label ID="_lblActionHelp" runat="server" CssClass="Normal" />
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="top" nowrap colspan="2">
                <dnn:label id="lblActionEditor" runat="server" suffix=":" Visible="True" />
                <uc1:qmaeditors id="_ctlActionEditors" runat="server" />
            </td>
        </tr>
        <tr>
            <td valign="top" nowrap width="100%" colspan="2">
                <asedit:aseditor id="ctlASEdit" runat="server" AllowDisable="true" />
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
            <ul class="dnnActions dnnClear" >
                <li><asp:linkbutton id="_lnkUpdate" runat="server" CssClass="dnnPrimaryAction" resourcekey="_lnkUpdate" borderstyle="none" /></li>
                <li><asp:linkbutton id="_lnkCancel" runat="server" CssClass="dnnSecondaryAction" resourcekey="_lnkCancel" borderstyle="none" /></li>
                </ul>
            </td>
        </tr>
    </table>
</asp:Panel>
