<%@ Import Namespace="DNNMasters.UMS.UI.UserControls"%>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_AddUser.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_AddUser" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.UMS.ComponentArt.Web.UI.N2"
    Assembly="DNNMasters.UMS.ComponentArt.Web.UI.N2" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<link href="<%= ControlPath.Replace("UI/UserControls/", "") %>module.css" type="text/css" rel="stylesheet" />


<script type="text/javascript">
    //<![CDATA[
    
    function _treUserRoles_onNodeCheckChange(sender, eventArgs)
    {
        DNNMasters.UMS.UI.UserControls.UMS_RolesService.SetUserRoles(eventArgs.get_node().get_id(), eventArgs.get_node().get_checked());
    }
    
    //]]>
</script>

<asp:UpdatePanel ID="_upNewUser" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
  <contenttemplate>
  
<table cellpadding="5">
    <tr>
        <td valign="top">
            <table>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblUserName" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbUserName" runat="server" CssClass="NormalTextBox" Width="150" />
                        <asp:RequiredFieldValidator ID="valUserName" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpNewUser"
                            CssClass="NormalRed" runat="server" ControlToValidate="_txbUserName" Display="Dynamic" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblFirstName" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbFirstName" runat="server" CssClass="NormalTextBox" Width="150" />
                        <asp:RequiredFieldValidator ID="valFirstName" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpNewUser"
                            CssClass="NormalRed" runat="server" ControlToValidate="_txbFirstName" Display="Dynamic" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblLastName" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbLastName" runat="server" CssClass="NormalTextBox" Width="150" />
                        <asp:RequiredFieldValidator ID="valLastName" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpNewUser"
                            CssClass="NormalRed" runat="server" ControlToValidate="_txbLastName" Display="Dynamic" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblDisplayName" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbDisplayName" runat="server" CssClass="NormalTextBox" Width="150" />
                        <asp:RequiredFieldValidator ID="valDisplayName" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpNewUser"
                            CssClass="NormalRed" runat="server" ControlToValidate="_txbDisplayName" Display="Dynamic" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblEmailAddress" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbEmailAddress" runat="server" CssClass="NormalTextBox" Width="150" />
                        <asp:RequiredFieldValidator ID="valEmailAddress" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpNewUser"
                            CssClass="NormalRed" runat="server" ControlToValidate="_txbEmailAddress" Display="Dynamic" />
                        <asp:RegularExpressionValidator ID="_valEmail2" runat="server" resourcekey="valEmail.ErrorMessage"
                            CssClass="NormalRed" ControlToValidate="_txbEmailAddress" Display="Dynamic" ValidationGroup="grpNewUser" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblRandomPassword" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkRandomPassword" CssClass="Normal" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblPassword" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbPassword" TextMode="Password" runat="server" CssClass="NormalTextBox" Width="150" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblConfirm" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbConfirm" TextMode="Password" runat="server" CssClass="NormalTextBox" Width="150" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:CustomValidator ID="_valPassword" runat="Server" CssClass="NormalRed" ValidationGroup="grpNewUser" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblAuthorize" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkAuthorize" CssClass="Normal" runat="server" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblNotify" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkNotify" CssClass="Normal" runat="server" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" valign="top">
                        <dnn:label id="lblNotifyType" runat="server" Suffix=":" />
                    </td>
                    <td>
                        <asp:RadioButtonList ID="_rblNotifyType" runat="server" CssClass="Normal">
                            <asp:ListItem Value="D" resourcekey="notifyDef" Selected="True"></asp:ListItem>
                            <asp:ListItem Value="C" resourcekey="notifyCustom"></asp:ListItem>
                        </asp:RadioButtonList>
                        <asp:DropDownList ID="_ddlEmailTemp" CssClass="Normal" runat="server" Width="150" />
                    </td>
                </tr>
            </table>
        </td>
        <td valign="top">
            <componentart:TreeView id="_treUserRoles" Height="300" Width="220" KeyboardEnabled="false"
                CssClass="TreeView" NodeCssClass="TreeNode" SelectedNodeCssClass="SelectedTreeNode"
                HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16"
                DefaultImageHeight="16" NodeLabelPadding="3" ImagesBaseUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/"
                ShowLines="true" LineImagesFolderUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/lines"
                EnableViewState="true" runat="server" MultipleSelectEnabled="true" MultipleSelectedNodeCssClass="SelectedTreeNode"
                DragAndDropEnabled="false" NodeEditingEnabled="true"
                WebService="DNNMasters.UMS.UI.UserControls.UMS_RolesService" 
                WebServiceMethod="buildRolesTree" WebServiceCustomParameter="newUser" >
                <clientevents>
                    <NodeCheckChange EventHandler="_treUserRoles_onNodeCheckChange" />
                </clientevents>
            </componentart:TreeView>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <asp:Label ID="_lblCreateSuccess" resourcekey="_lblCreateSuccess" runat="server" Visible="false" CssClass="Normal" ForeColor="Green" />
            <asp:Label ID="_lblCreateError" runat="server" CssClass="NormalRed" />
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <asp:LinkButton ID="_lnkAddUser" resourcekey="_lnkAddUser" CssClass="dnnPrimaryAction" runat="server" ValidationGroup="grpNewUser" />
        </td>
    </tr>
</table>

</contenttemplate>
  <triggers>
    
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="_upNewUser" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>