<%@ Control Language="c#" AutoEventWireup="false" Codebehind="UMS_Tasks.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.UMS_Tasks" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register Src="PagingControl.ascx" TagName="PagingControl" TagPrefix="uc1" %>

<script language="JavaScript" type="text/javascript">
<!--

function flipFlop(eTarget) {
    if (document.getElementById(eTarget).style.display=='')
    {
    	document.getElementById(eTarget).style.display='none';
    }
    else
    {
    	document.getElementById(eTarget).style.display='';
    }
}
  
//-->
</script>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
  <contenttemplate>

<asp:Panel ID="_pnlOptions" runat="server">
<table width="100%" border="0">
        <tr>
            <td valign="top">
                <dnn:SectionHead ID="_dshSettings" runat="server" CssClass="Head" ResourceKey="_dshSettings"
                    Section="tblSettings" Text="Viewer Settings"></dnn:SectionHead>
                <table id="tblSettings" cellspacing="2" cellpadding="2" border="0" runat="server">
                    <tr>
                        <td class="SubHead" nowrap align="left" width="110">
                            <dnn:Label ID="plPortalID" runat="server" ControlName="_dllPortals" Suffix=":"/>
                        </td>
                        <td width="60"><asp:DropDownList ID="_ddlPortals" runat="server" /></td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap align="left" width="110">
                            <dnn:Label ID="plPageSize" runat="server" ControlName="_ddlPageSize" Suffix=":"/>
                        </td>
                        <td width="60"><asp:DropDownList ID="_ddlPageSize" runat="server" /></td>
                    </tr>
                    <tr>
                        <td class="SubHead" nowrap align="left" width="110">
                            <dnn:Label ID="plTaskType" runat="server" ControlName="_ddlTaskTypes" Suffix=":"/>
                        </td>
                        <td width="60"><asp:DropDownList ID="_ddlTaskTypes" runat="server" /></td>
                    </tr>
                    
                </table>
                <asp:LinkButton ID="btnRefresh" runat="server" >
                    <asp:Image ID="Image2" runat="server" ImageUrl="~/images/refresh.gif" />
                    <asp:Label ID="Label1" runat="server" Text=" Refresh"></asp:Label>
                </asp:LinkButton>
            </td>
        </tr>
</table>
</asp:Panel>
<br />
<uc1:PagingControl ID="_ctlPaging" OnPaging_Click="Paging_Click" FirstString="<< First" LastString=" Last >>" NextString="Next >" PrevString="< Prev" TotalNumberPaging="5"  runat="server"/>
<asp:DataList EnableViewState="False" Width="100%" runat="server" ID="_dlTasks" CellPadding="0"
    CellSpacing="1" BackColor="#CFCFCF">
    <ItemStyle BorderWidth="0" />
    <HeaderStyle BackColor="#CFCFCF" BorderWidth="0" />
    <HeaderTemplate>
        <span class="NormalBold" style="width: 20; background: #CFCFCF;">&nbsp;</span>
        <asp:Label ID="lblDateHeader" runat="server" class="NormalBold"  width="150px" BackColor="#CFCFCF">&nbsp;Date</asp:Label>
        <asp:Label ID="lblTypeHeader" runat="server" class="NormalBold" width="175px" BackColor="#CFCFCF">&nbsp;Username</asp:Label>
        <asp:Label ID="lblUserHeader" runat="server" class="NormalBold" width="75px" BackColor="#CFCFCF">&nbsp;Portal</asp:Label>
        <asp:Label ID="lblPortalHeader" runat="server" class="NormalBold" width="125px" BackColor="#CFCFCF">&nbsp;</asp:Label>
        <asp:Label ID="lblSummaryHeader" runat="server" class="NormalBold" width="250px" BackColor="#CFCFCF">&nbsp;</asp:Label>
    </HeaderTemplate>
    <ItemTemplate>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr >
                <td style='<%# ReturnClass(DataBinder.Eval(Container.DataItem,"TaskType").ToString()) %>' width="20" valign="middle" align="center">
                    <asp:Image ID="Image1" runat="server" ImageUrl='<%# ReturnValidIcon(DataBinder.Eval(Container.DataItem,"TaskType").ToString()) %>' />
                </td>
                <td style='<%# ReturnClass(DataBinder.Eval(Container.DataItem,"TaskType").ToString()) %>' nowrap="nowrap" onclick="flipFlop('<%# DataBinder.Eval(Container.DataItem,"TaskGuid").ToString() %>')">
                    <span style="width: 150px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"TaskName") %>' ID="Label2" />
                    </span>
                    <span style="width: 150px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"TaskCreatedDate") %>' ID="lblDate" />
                    </span>
                    <span style="width: 175px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='' ID="lblType" />
                    </span> 
                    <span style="width: 75px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Username") %>' ID="lblUserName" />
                    </span> 
                    <span style="width: 125px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"PortalName") %>' ID="lblPortal" />
                    </span> 
                    <span style="width: 125px; overflow: hidden;">&nbsp;
                        <asp:LinkButton ID="btnEnableDisable" runat="server" Text='<%# ReturnDisableEnableCaption(Convert.ToBoolean(DataBinder.Eval(Container.DataItem,"IsEnabled"))) %>'  OnClick="btnEnableDisable_Click" CommandArgument='<%# Eval("TaskId") %>' />
                    </span> 
                    <span style="width: 250px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"TaskType") %>' ID="lblSummary" />&nbsp;...
                        <asp:LinkButton ID="btnDelete" runat="server" Text="Delete"  OnClick="btnDelete_Click" CommandArgument='<%# Eval("TaskId") %>' />
                    </span>
                </td>
            </tr>
            <tr style="display: none;" id='<%# DataBinder.Eval(Container.DataItem,"TaskGuid").ToString() %>'>
                <td colspan="2" bgcolor="#FFFFFF">
                    <table width="100%" border="0" bgcolor="#000000" border="0" cellspacing="1" cellpadding="5">
                        <tr>
                            <td bgcolor="#CFCFCF">
                                <asp:Label class="Normal" EnableViewState="False" runat="server" Text='<%# GetPropertiesText(Container.DataItem) %>' ID="lblException" />
                                <asp:LinkButton ID="btnDownload" runat="server" Text="Download"  OnClick="btnDownload_Click" CommandArgument='<%# Eval("TaskId") %>' 
                                  Visible='<%# TaskVisibility(DataBinder.Eval(Container.DataItem,"TaskType").ToString(), DataBinder.Eval(Container.DataItem,"TaskType"), DataBinder.Eval(Container.DataItem,"TaskStatus").ToString()) %>'/><br /><br />
                                <asp:LinkButton ID="btnShowExceptions" runat="server" Text="Show Exceptions"  OnClick="btnShowExceptions_Click" CommandArgument='<%# Eval("TaskId") %>' 
                                  Visible="true"/>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:DataList>

  </contenttemplate>
  <triggers>
    <asp:AsyncPostBackTrigger ControlID="_ctlPaging" />
    <asp:AsyncPostBackTrigger ControlID="btnRefresh" EventName="Click" />
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>

