<%@ Import Namespace="DNNMasters.UMS.UI.UserControls"%>
<%@ Import Namespace="DotNetNuke.Common"%>
<%@ Import Namespace="DotNetNuke.Services.Localization" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_Users.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_Users" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.UMS.ComponentArt.Web.UI.N2"
    Assembly="DNNMasters.UMS.ComponentArt.Web.UI.N2" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<link href="<%= ControlPath.Replace("UI/UserControls/", "") %>/module.css" type="text/css"
    rel="stylesheet" />

<script type="text/javascript" src="<%=ControlPath.Replace("UI/UserControls/", "")%>tools/highslide/highslide-with-html.js"></script>
<link rel="stylesheet" type="text/css" href="<%=ControlPath.Replace("UI/UserControls/", "")%>tools/highslide/highslide.css" />
    
<script type="text/javascript">
	var grid;	
	
	hs.graphicsDir = '<%=ControlPath.Replace("UI/UserControls/", "")%>tools/highslide/graphics/';
    hs.outlineType = 'rounded-white';
		
	function onLoad()
	{
		grid = <%=_grdUsers.ClientID%>;
	}			 	
	

	function GetSearchParams()
	{
	    
	    var ret='';		
    	if(document.getElementById('<%=txtSearch1.ClientID%>') != null)
		{
			ret = document.forms[0].<%=ddSearch1.ClientID%>.value + ';' +
				document.forms[0].<%=ddOperator1.ClientID%>.value + ';';
			var ddls1 = document.getElementById('<%= ddSearch1.ClientID %>');
    	    if(ddls1.value == 'IsDeleted' || ddls1.value == 'IsAuthorized' || ddls1.value == 'IsLocked')
			    ret = ret + document.forms[0].<%=_ddlBoolValue1.ClientID%>.value + '|';	
			else if(document.forms[0].<%=txtSearch1.ClientID%>.value == '' || document.forms[0].<%=txtSearch1.ClientID%>.value == null)
				ret = ret + '_#CLEAR#_|';			
			else
				ret = ret + document.forms[0].<%=txtSearch1.ClientID%>.value + '|';	
		}
		if(document.getElementById('<%=txtSearch2.ClientID%>') != null)
		{														
			ret = ret + document.forms[0].<%=ddSearch2.ClientID%>.value + ';' +
				document.forms[0].<%=ddOperator2.ClientID%>.value + ';'
			var ddls2 = document.getElementById('<%= ddSearch2.ClientID %>');
			if(ddls2.value == 'IsDeleted' || ddls2.value == 'IsAuthorized' || ddls2.value == 'IsLocked')
			    ret = ret + document.forms[0].<%=_ddlBoolValue2.ClientID%>.value + '|';	
			else if(document.forms[0].<%=txtSearch2.ClientID%>.value == '' || document.forms[0].<%=txtSearch2.ClientID%>.value == null)
				ret = ret + '_#CLEAR#_|';			
			else
				ret = ret + document.forms[0].<%=txtSearch2.ClientID%>.value + '|';											
		}
		if(document.getElementById('<%=txtSearch3.ClientID%>') != null)
		{
			ret = ret + document.forms[0].<%=ddSearch3.ClientID%>.value + ';' +
				document.forms[0].<%=ddOperator3.ClientID%>.value + ';'
			var ddls3 = document.getElementById('<%= ddSearch3.ClientID %>');
			if(ddls3.value == 'IsDeleted' || ddls3.value == 'IsAuthorized' || ddls3.value == 'IsLocked')
			    ret = ret + document.forms[0].<%=_ddlBoolValue3.ClientID%>.value + '|';	
			else if(document.forms[0].<%=txtSearch3.ClientID%>.value == '' || document.forms[0].<%=txtSearch3.ClientID%>.value == null)
				ret = ret + '_#CLEAR#_|';			
			else
				ret = ret + document.forms[0].<%=txtSearch3.ClientID%>.value + '|';							
		}

		ret = ret + getSearchOperator() + '|';
		ret = ret + document.forms[0].<%=_ddlTemplates.ClientID%>.value;
	    //alert(ret);
		<%=_grdUsers.ClientID%>.page(0);
		return ret;
	}
		
    function getSearchOperator()
    {
        var radioButtonListRef = document.getElementById('<%= _rblSearchOp.ClientID %>');
        for (var i=0; i<radioButtonListRef.rows.length; i++)
        {
            for (var j=0; j<radioButtonListRef.rows[i].cells.length; j++)
            {
                var listControl = radioButtonListRef.rows[i].cells[j].childNodes[0];
                //alert('#' + i + ',' + j + ' checked? ' + listControl.checked);
                if(j == 0 &&  listControl.checked)
                    return "AND";
                if(j == 1 &&  listControl.checked)
                    return "OR";
            }
        }
        return "AND";
    }
	
	function StartSearch()
	{
	    document.getElementById('<%=imgLoader.ClientID%>').style.display = 'inline';
		_grdUsers.set_webServiceCustomParameter(GetSearchParams());
		_grdUsers.webServiceSelect();
	}
	
	function SearchOnEnter(e)
    {
        if(e.keyCode == 13){
            StartSearch();
        }
    }
    

	
    function _grdUsers_onItemCheckChange(sender, eventArgs)
    {
        var portalID = document.getElementById('<%= _hfCurrPortalID.ClientID %>').value;
  		DNNMasters.UMS.UI.UserControls.UMS_UsersService.SessionUser(eventArgs.get_item().get_clientId().substring(2) + "_" + portalID);
		return true;
    }

    function _grdUsers_onWebServiceComplete(sender, eventArgs)
    {
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'none';
    }


    function SelectCheckBoxes(chkd)
    {
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'inline';
        DNNMasters.UMS.UI.UserControls.UMS_UsersService.GridAllCommand(GetSearchParams(), chkd, CommandAllResult);
    }
    
    function CommandAllResult(result, eventArgs) {
        if(result != null)
        {
            for(var a = 0; a < _grdUsers.CheckedList.length; a++)
            {
                _grdUsers.CheckedList[a] = '';
            }
            
            var tab = result.split("|");
            
            for(indeks in tab){
                if(tab[indeks] != '' && indeks <= tab.length)
                {
                    var item = '0 ' + tab[indeks].split('_')[0] + ' 0';
                    _grdUsers.CheckedList[indeks] = item;
                }
            }
            _grdUsers.Render();
            document.getElementById('<%=imgLoader.ClientID%>').style.display = 'none';
        }
    }
    
    function CheckCal()
    {
        var val1 = document.getElementById('<%= ddSearch1.ClientID %>').value;
        if(val1 == 'Create Date' || val1 == 'LastLogin Date' || val1 == 'LastModifiedOnDate')
            document.getElementById('<%= cmdCalendar1.ClientID %>').style.visibility = 'visible';
        else
            document.getElementById('<%= cmdCalendar1.ClientID %>').style.visibility = 'hidden';
            
        var val2 = document.getElementById('<%= ddSearch2.ClientID %>').value;
        if(val2 == 'Create Date' || val2 == 'LastLogin Date' || val2 == 'LastModifiedOnDate')
            document.getElementById('<%= cmdCalendar2.ClientID %>').style.visibility = 'visible';
        else
            document.getElementById('<%= cmdCalendar2.ClientID %>').style.visibility = 'hidden';
            
        var val3 = document.getElementById('<%= ddSearch3.ClientID %>').value;
        if(val3 == 'Create Date' || val3 == 'LastLogin Date' || val3 == 'LastModifiedOnDate')
            document.getElementById('<%= cmdCalendar3.ClientID %>').style.visibility = 'visible';
        else
            document.getElementById('<%= cmdCalendar3.ClientID %>').style.visibility = 'hidden';
            
        // check boolean type fields
        document.getElementById('<%= ddOperator1.ClientID %>').style.display = GetDisplayCode('IsDeleted', val1, false);
        document.getElementById('<%= txtSearch1.ClientID %>').style.display = GetDisplayCode('IsDeleted', val1, false);
        document.getElementById('<%= _ddlBoolValue1.ClientID %>').style.display = GetDisplayCode('IsDeleted', val1, true);
        document.getElementById('<%= ddOperator2.ClientID %>').style.display = GetDisplayCode('IsDeleted', val2, false);
        document.getElementById('<%= txtSearch2.ClientID %>').style.display = GetDisplayCode('IsDeleted', val2, false);
        document.getElementById('<%= _ddlBoolValue2.ClientID %>').style.display = GetDisplayCode('IsDeleted', val2, true);
        document.getElementById('<%= ddOperator3.ClientID %>').style.display = GetDisplayCode('IsDeleted', val3, false);
        document.getElementById('<%= txtSearch3.ClientID %>').style.display = GetDisplayCode('IsDeleted', val3, false);
        document.getElementById('<%= _ddlBoolValue3.ClientID %>').style.display = GetDisplayCode('IsDeleted', val3, true);
    }
    
    function GetDisplayCode(propertyName, value, showIfEqual)
    {
        if('IsDeleted' == value || 'IsAuthorized' == value || 'IsLocked' == value)
        {
            if(showIfEqual)
                return 'inline';
            else
                return 'none';
        }
        
        if(showIfEqual)
            return 'none';
        else
            return 'inline';
    }
    
</script>

<table id="_tblTrial" runat="server" width="100%" visible="false" align="center">
    <tr>
        <td align="center">
            <asp:Label ID="_lblTrialAlert" resourcekey="_lblTrialAlert" runat="server" ForeColor="Red" CssClass="NormalBold" />
        </td>
    </tr>
</table>

<asp:UpdatePanel ID="_upUsers" runat="server" ChildrenAsTriggers="True" UpdateMode="Conditional">
  <contenttemplate>


<asp:HiddenField ID="_hfCurrPortalID" runat="server" />
    
<table>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblTemplate" ControlName="" Suffix=":" runat="server" />
            <asp:DropDownList ID="_ddlTemplates" runat="server" CssClass="Normal" DataTextField="Text" Width="150"
                DataValueField="Value" AutoPostBack="true" />
        </td>    
        <td runat="server" id="tdPortal" class="SubHead">
            <dnn:Label ID="lblPortal" ControlName="" Suffix=":" runat="server" />
            <asp:DropDownList ID="_ddlPortals" runat="server" CssClass="Normal" DataValueField="PortalID" 
                DataTextField="PortalName" Width="150" AutoPostBack="true" />
        </td>
    </tr>
</table>
<table cellspacing="0" cellpadding="0" runat="server" id="mainTable" border="0">
  <tr>
    <td>
      <table cellspacing="1" cellpadding="0" border="0">
        <tr runat="server" id="tr1">
          <td class="SubHead" height="23">
            <asp:DropDownList ID="ddSearch1" runat="server" Width="150px" AutoPostBack="false">
            </asp:DropDownList></td>
          <td class="SubHead">
            <asp:DropDownList ID="ddOperator1" runat="server" Width="100px">
            </asp:DropDownList>
            <asp:DropDownList ID="_ddlBoolValue1" runat="server" Width="100px" style="display:none;">
                <asp:ListItem Text="True" Value="1"></asp:ListItem>
                <asp:ListItem Text="False" Value="0"></asp:ListItem>
            </asp:DropDownList>
        </td>
          <td class="SubHead">
            <asp:TextBox ID="txtSearch1" runat="server"></asp:TextBox>
            
          </td>
          <td>
            <asp:HyperLink ID="cmdCalendar1" runat="server" Visible="true" style="visibility:hidden;" />
          </td>
          <td>
            <asp:DropDownList ID="ddPropValue1" AutoPostBack="true" runat="server" Width="150px"
              DataValueField="PropVal" DataTextField="PropVal" Visible="false" />
          </td>
        </tr>
        <tr runat="server" id="tr2">
          <td class="SubHead">
            <asp:DropDownList ID="ddSearch2" runat="server" Width="150px" AutoPostBack="false" >
            </asp:DropDownList></td>
          <td class="SubHead">
            <asp:DropDownList ID="ddOperator2" runat="server" Width="100px">
            </asp:DropDownList>
            <asp:DropDownList ID="_ddlBoolValue2" runat="server" Width="100px" style="display:none;">
                <asp:ListItem Text="True" Value="1"></asp:ListItem>
                <asp:ListItem Text="False" Value="0"></asp:ListItem>
            </asp:DropDownList>
            </td>
          <td class="SubHead">
            <asp:TextBox ID="txtSearch2" runat="server"></asp:TextBox></td>
          <td>
            <asp:HyperLink ID="cmdCalendar2" runat="server" Visible="true" style="visibility:hidden;" />
          </td>
          <td>
            <asp:DropDownList ID="ddPropValue2" AutoPostBack="true" runat="server" Width="150px"
              DataValueField="PropVal" DataTextField="PropVal" Visible="false" />
          </td>
        </tr>
        <tr runat="server" id="tr3">
          <td class="SubHead">
            <asp:DropDownList ID="ddSearch3" runat="server" Width="150px" AutoPostBack="false" />
        </td>
          <td class="SubHead">
            <asp:DropDownList ID="ddOperator3" runat="server" Width="100px">
            </asp:DropDownList>
            <asp:DropDownList ID="_ddlBoolValue3" runat="server" Width="100px" style="display:none;">
                <asp:ListItem Text="True" Value="1"></asp:ListItem>
                <asp:ListItem Text="False" Value="0"></asp:ListItem>
            </asp:DropDownList>    
        </td>
          <td class="SubHead">
            <asp:TextBox ID="txtSearch3" runat="server" />
        </td>
          <td>
            <asp:HyperLink ID="cmdCalendar3" runat="server" Visible="true" style="visibility:hidden;" />
          </td>
          <td>
            <asp:DropDownList ID="ddPropValue3" AutoPostBack="true" runat="server" Width="150px"
              DataValueField="PropVal" DataTextField="PropVal" Visible="false" />
          </td>
        </tr>
      </table>
    </td>
    <td valign="bottom" runat="server" id="tdSearch" class="SubHead">
        <dnn:Label ID="lblSearchOp" ControlName="" Suffix=":" runat="server" />
        <asp:RadioButtonList ID="_rblSearchOp" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
            <asp:ListItem Value="AND" resourcekey="SearchOpAnd" Selected="True"></asp:ListItem>
            <asp:ListItem Value="OR" resourcekey="SearchOpOr"></asp:ListItem>
        </asp:RadioButtonList><br />
        <asp:Image ID="imgLoader" ImageUrl="~/DesktopModule s/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" style="display:none;" /><br />
        <input type="button" id="_btnSearch" value="Search" class="Normal" onclick="StartSearch();" style="width: 128px;" />
    </td>
  </tr>
</table>

<table>
    <tr>
        <td>
            <asp:HyperLink ID="_hypSelectAll" resourcekey="_hypSelectAll" runat="server" CssClass="Normal" style="cursor: pointer;" />&nbsp;&nbsp;&nbsp;
            <asp:HyperLink ID="_hypUnselectAll" resourcekey="_hypUnselectAll" runat="server" CssClass="Normal" style="cursor: pointer;" /><br />
            <componentart:Grid ID="_grdUsers" runat="server" Height="200px" CssClass="Grid"
                RunningMode="WebService"
                WebServiceCachingEnabled="true"
                WebService="DNNMasters.UMS.UI.UserControls.UMS_UsersService"
                WebServiceSelectMethod="GetRecords"
                EnableViewState="true" 
                FooterCssClass="GridFooter" PageSize="1"
                PagerTextCssClass="GridFooterText" PagerStyle="Slider" PagerButtonWidth="41"
                PagerButtonHeight="22" SliderHeight="15" SliderWidth="150" SliderGripWidth="9"
                SliderPopupOffsetX="100" ImagesBaseUrl="~/DesktopModules/DNNMasters.UMS/images/grid_images/" 
                PagerImagesFolderUrl="~/DesktopModules/DNNMasters.UMS/images/grid_images/pager/"
                LoadingPanelPosition="MiddleCenter" AllowEditing="False" AllowHorizontalScrolling="True"
                LoadingPanelClientTemplateId="LoadingFeedbackTemplate" >
                <servertemplates>
                  <componentart:GridServerTemplate ID="myemail">
                    <template>
                        <a href='mailto:<%# Container.DataItem["Email"].ToString()%>'><%# Container.DataItem["Email"].ToString()%></a>
                    </template>
                  </componentart:GridServerTemplate>
                </servertemplates>
                <ClientEvents>
                    <ItemCheckChange EventHandler="_grdUsers_onItemCheckChange" />
                    <WebServiceComplete EventHandler="_grdUsers_onWebServiceComplete" />
                </ClientEvents>
                <levels>
                  <componentart:GridLevel AllowGrouping="False" DataKeyField="id" SortedDataCellCssClass="SortedDataCell"
                    DataCellCssClass="DataCell" HeadingTextCssClass="HeadingCellText" SortAscendingImageUrl="asc.gif"
                    HeadingCellCssClass="HeadingCell" ColumnReorderIndicatorImageUrl="reorder.gif"
                    HeadingCellHoverCssClass="HeadingCellHover" SortImageWidth="10" SortDescendingImageUrl="desc.gif"
                    HeadingRowCssClass="HeadingRow" SortImageHeight="19" TableHeadingCssClass="GridHeader"
                    RowCssClass="Row" HeadingCellActiveCssClass="HeadingCellActive">
                  </componentart:GridLevel>
                </levels>
                <ClientTemplates>
				    <ComponentArt:ClientTemplate Id="RolesClientTemplate">
				        <a href="<%=ControlPath%>UserDetails.aspx?userid=## DataItem.GetMember('id') ##'>&portalid=<%# PortalId.ToString()%>" onclick="return hs.htmlExpand(this, { objectType: 'iframe', width:540, height:300 } )">Show</a>
				    </ComponentArt:ClientTemplate>
			    </ClientTemplates>
            </componentart:Grid>
        </td>
    </tr>
</table>






  </contenttemplate>
  <triggers>
    <asp:AsyncPostBackTrigger ControlID="_ddlTemplates" EventName="SelectedIndexChanged" />
    <asp:AsyncPostBackTrigger ControlID="_ddlPortals" EventName="SelectedIndexChanged" />
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="_upsUsers" runat="server" AssociatedUpdatePanelID="_upUsers" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="Image1" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>

