<%@ Control Language="c#" Codebehind="UMS_TaskExceptionInfo.ascx.cs" Inherits="DNNMasters.UMS.UI.UMS_TaskExceptionInfo" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<asp:Panel ID="_pnlException" runat="server" Visible="false">
<asp:Label ID="Label2" runat="server" Text="Task Exception Message:" CssClass="SubHead"></asp:Label><br />
<asp:Label ID="_lblTaskException" runat="server" Text="" CssClass="NormalRed"></asp:Label>
</asp:Panel>
<br /><br />
<asp:Label ID="Label1" runat="server" Text="Exception list" CssClass="SubHead"></asp:Label>
<asp:DataList EnableViewState="False" Width="100%" runat="server" ID="_dlExceptions" CellPadding="0"
    CellSpacing="1" BackColor="#CFCFCF">
    <ItemStyle BorderWidth="0" />
    <HeaderStyle BackColor="#CFCFCF" BorderWidth="0" />
    <HeaderTemplate>
        <span class="NormalBold" style="width: 20; background: #CFCFCF;">&nbsp;</span>
        <asp:Label ID="lblDateHeader" runat="server" class="NormalBold"  width="150px" BackColor="#CFCFCF">&nbsp;PackageId</asp:Label>
        <asp:Label ID="lblTypeHeader" runat="server" class="NormalBold" width="175px" BackColor="#CFCFCF">&nbsp;</asp:Label>
        <asp:Label ID="lblUserHeader" runat="server" class="NormalBold" width="75px" BackColor="#CFCFCF">&nbsp;</asp:Label>
        <asp:Label ID="lblPortalHeader" runat="server" class="NormalBold" width="125px" BackColor="#CFCFCF">&nbsp;FileName</asp:Label>
        <asp:Label ID="lblSummaryHeader" runat="server" class="NormalBold" width="250px" BackColor="#CFCFCF">&nbsp;</asp:Label>
    </HeaderTemplate>
    <ItemTemplate>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr >
                <td width="20" valign="middle" align="center">
                </td>
                <td style='' nowrap="nowrap" >
                    <span style="width: 150px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"PackageId") %>' ID="lblDate" />
                    </span>
                    <span style="width: 175px; overflow: hidden;">&nbsp;
                        &nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='' ID="lblType" />
                    </span> 
                    <span style="width: 75px; overflow: hidden;">&nbsp;
                            &nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='' ID="lblUserName" />
                    </span> 
                    <span style="width: 125px; overflow: hidden;">&nbsp;
                    &nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='<%# GetShortName(DataBinder.Eval(Container.DataItem,"FileName").ToString()) %>' ID="lblPortal" />
                    </span> 
                    <span style="width: 250px; overflow: hidden;">&nbsp;
                        <asp:Label EnableViewState="False" runat="server" Text='' ID="lblSummary" />
                        <asp:LinkButton ID="LinkButton1" runat="server" Text="Download"  OnClick="btnDownload_Click" CommandArgument='<%# Eval("ExceptionId") %>' />
                    </span>
                </td>
            </tr>
        </table>
    </ItemTemplate>
</asp:DataList>
<br /><br />
<asp:LinkButton ID="_btnReturn" runat="server">Return</asp:LinkButton>