<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_SearchTemplates.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_SearchTemplates" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.UMS.ComponentArt.Web.UI.N2"
    Assembly="DNNMasters.UMS.ComponentArt.Web.UI.N2" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<link href="<%= ControlPath.Replace("UI/UserControls/", "") %>module.css" type="text/css" rel="stylesheet">

<script type="text/javascript">
    //<![CDATA[

    function _treSearchRoles_onNodeSelect(sender, eventArgs) {

        var nodeID = eventArgs.get_node().get_id();
        if (nodeID.indexOf('role_') != -1)
            DNNMasters.UMS.UI.UserControls.UMS_RolesService.GetRoleOptions(nodeID, CheckSearchRoles);
    }

    function CheckSearchRoles(result, eventArgs) {
        if (result != null) {
            var options = result.split('|');
            if (options[0] == '1')
                document.getElementById('<% =_chkShowInBulk.ClientID %>').checked = true;
            else
                document.getElementById('<% =_chkShowInBulk.ClientID %>').checked = false;

            if (options[1] == '1')
                document.getElementById('<% =_rbtExcludeRole.ClientID %>').checked = true;
            else
                document.getElementById('<% =_rbtExcludeRole.ClientID %>').checked = false;

            if (options[2] == '1')
                document.getElementById('<% =_rbtIncludeRole.ClientID %>').checked = true;
            else
                document.getElementById('<% =_rbtIncludeRole.ClientID %>').checked = false;

        }
    }

    function SetRoleOptions(chekced, key) {
        if (_treSearchRoles.get_selectedNode() == null || _treSearchRoles.get_selectedNode().get_id().indexOf('role_') == -1) {
            alert('First you must select Role in Tree!');
            return;
        }
        DNNMasters.UMS.UI.UserControls.UMS_RolesService.SetRolesOptions(_treSearchRoles.get_selectedNode().get_id(), chekced, key);
    }

    function SelectTab(tabID) {
        if (_tbsSteps.getSelectedTab().get_id() == 'tabStep7' && tabID == 'tabStep1' && document.getElementById('<%= _txbTemplateName.ClientID %>').value == '') return;
        _tbsSteps.selectTabById(tabID);

        if (tabID == 'tabStep4')
            DNNMasters.UMS.UI.UserControls.UMS_RolesService.GetSearchTemplatePermissionRoles(CheckSearchPermissionRoles);
    }

    function _trePermRoles_onNodeExpand(sender, eventArgs) {
        DNNMasters.UMS.UI.UserControls.UMS_RolesService.GetSearchTemplatePermissionRoles(CheckSearchPermissionRoles);
    }

    function CheckSearchPermissionRoles(result, eventArgs) {
        if (result != null) {
            _trePermRoles.unCheckAll();
            var iDs = result.split('|');
            for (var i = 0; i < iDs.length; i++) {
                if (iDs[i] != '') {
                    var nodeToCheck = _trePermRoles.findNodeById(iDs[i]);
                    if (nodeToCheck != null)
                        nodeToCheck.set_checked(true);
                }
            }
        }
    }

    function _trePermRoles_onNodeCheckChange(sender, eventArgs) {

        // if group is selected then select child roles
        /*if (eventArgs.get_node().get_id().indexOf('g') != -1) {
            var groupNodes = eventArgs.get_node().get_nodes();
            for (var i = 0; i < groupNodes.get_length(); i++) {
                //groupNodes.getNode(i).set_showCheckBox(!eventArgs.get_node().get_checked());
                groupNodes.getNode(i).set_checked(eventArgs.get_node().get_checked());
            }
        }*/

        DNNMasters.UMS.UI.UserControls.UMS_RolesService.SetSearchTemplatePermissionRoles(eventArgs.get_node().get_id(), eventArgs.get_node().get_checked());
    }

    function unCheckAllCBs(cbControl) {
        //alert(cbControl);
        var chkBoxList = document.getElementById(cbControl);
        var chkBoxCount = chkBoxList.getElementsByTagName("input");
        var state = false;
        for (var i = 0; i < chkBoxCount.length; i++) {
            if (i == 0)
                state = !chkBoxCount[i].checked;
            chkBoxCount[i].checked = state;
        }

        return false;
    }

    //]]>
</script>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
    <ContentTemplate>

        <table>
            <tr>
                <td valign="top">
                    <componentart:TabStrip id="_tbsSteps" Orientation="VerticalLeftToRight" TabOrientation="Horizontal"
                        defaultgroupcssclass="TopGroup" defaultitemlookid="TopLevelTabLook" defaultselecteditemlookid="SelectedTopLevelTabLook"
                        defaultchildselecteditemlookid="SelectedTopLevelTabLook" DefaultGroupTabSpacing="0px"
                        ImagesBaseUrl="images/" runat="server" MultiPageId="_mpMain" Templates="(Collection)"
                        TopGroupTabSpacing="0px" runat="server">
                        <itemlooks>
                <componentart:ItemLook HoverCssClass="TopLevelTabHover" LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="TopLevelTabLook" CssClass="TopLevelTab"></componentart:ItemLook>
                <componentart:ItemLook LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="SelectedTopLevelTabLook" CssClass="SelectedTopLevelTab"></componentart:ItemLook>
                <componentart:ItemLook HoverCssClass="Level2TabHover" LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="Level2TabLook" CssClass="Level2Tab"></componentart:ItemLook>
                <componentart:ItemLook LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="SelectedLevel2TabLook" CssClass="SelectedLevel2Tab"></componentart:ItemLook>
            </itemlooks>
                        <tabs>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep1"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" >
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" id="tabStep2"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" 
                        Enabled="false" 
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px">
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep3"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" >
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep4"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px">
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep5"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px">
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep6"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px">
                    </componentart:TabStripTab>
                    <componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" Enabled="false" id="tabStep7"
                        DefaultSubGroupLastSeparatorWidth="22px"
                        DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group"
                        SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px"
                        AutoPostBackOnSelect="false" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px"
                        SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px"
                        SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px">
                    </componentart:TabStripTab>

                </tabs>
                    </componentart:TabStrip>
                </td>
                <td>
                    <componentart:MultiPage id="_mpMain" CssClass="MultiPage" runat="server">
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep1" resourcekey="_lblStep1" runat="server" CssClass="Normal" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:ListBox ID="_lbxTemplates" runat="server" CssClass="Normal" Height="150" Width="150"
                                            DataTextField="Text" DataValueField="Value" />
                                        <br />
                                        <dnn:commandbutton id="_cmdDeleteTemplate" runat="server" resourcekey="_cmdDeleteTemplate"
                                            CssClass="CommandButton" imageurl="~/images/delete.gif" />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:LinkButton ID="_lnkNext1" resourcekey="_hypNext" runat="server" CssClass="Normal" />
                                    </td>
                                </tr>
                            </table>
                        </componentart:PageView>
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep2" resourcekey="_lblStep2" runat="server" CssClass="Normal" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table cellspacing="2" cellpadding="2" border="0">
                                            <tr runat="server" id="_trPoral2">
                                                <td>
                                                    <dnn:Label ID="lblPortal" ControlName="_ddlSearchListsPortals" Suffix=":" runat="server" />
                                                    <asp:DropDownList ID="_ddlSearchListsPortals" runat="server" CssClass="Normal" DataValueField="PortalID"
                                                        DataTextField="PortalName" Width="150" AutoPostBack="true" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="SubHead" colspan="4" align="left">
                                                    <table>
                                                        <tr>
                                                            <td cssclass="SubHead" valign="middle">
                                                                <dnn:Label ID="lblVisibility" resource="columnvisibility" ControlName="" Suffix=":"
                                                                    runat="server">
                                                                </dnn:Label>
                                                            </td>
                                                            <td cssclass="SubHead" nowrap>
                                                                <dnn:Label ID="lblSf1" runat="server" ControlName="" resource="">
                                                                </dnn:Label>
                                                                <asp:CheckBox ID="_chkSearchActive1" runat="server" /><br />
                                                                <asp:HyperLink ID="_hypUncheckAll1" runat="server" resourcekey="unselect" Style="cursor: pointer;" />
                                                            </td>
                                                            <td cssclass="SubHead" nowrap>
                                                                <dnn:Label ID="lblSf2" runat="server" ControlName="" resource="">
                                                                </dnn:Label>
                                                                <asp:CheckBox ID="_chkSearchActive2" runat="server" /><br />
                                                                <asp:HyperLink ID="_hypUncheckAll2" runat="server" resourcekey="unselect" Style="cursor: pointer;" />
                                                            </td>
                                                            <td cssclass="SubHead" nowrap>
                                                                <dnn:Label ID="lblSf3" runat="server" ControlName="" resource="">
                                                                </dnn:Label>
                                                                <asp:CheckBox ID="_chkSearchActive3" runat="server" /><br />
                                                                <asp:HyperLink ID="_hypUncheckAll3" runat="server" resourcekey="unselect" Style="cursor: pointer;" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td cssclass="SubHead" nowrap style="border-bottom: 1px;">
                                                                <asp:CheckBoxList ID="_cblColVisibility" runat="server" CssClass="Normal" RepeatDirection="Vertical" />
                                                            </td>
                                                            <td cssclass="SubHead">
                                                                <asp:CheckBoxList ID="_cblSearch1Fields" runat="server" CssClass="Normal" RepeatDirection="Vertical" />
                                                            </td>
                                                            <td cssclass="SubHead">
                                                                <asp:CheckBoxList ID="_cblSearch2Fields" runat="server" CssClass="Normal" RepeatDirection="Vertical" />
                                                            </td>
                                                            <td cssclass="SubHead">
                                                                <asp:CheckBoxList ID="_cblSearch3Fields" runat="server" CssClass="Normal" RepeatDirection="Vertical" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:HyperLink ID="_hypBack1" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                        &nbsp;&nbsp;|&nbsp;&nbsp;
                                <asp:HyperLink ID="_hypNext2" resourcekey="_hypNext" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                    </td>
                                </tr>
                            </table>
                        </componentart:PageView>
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep3" resourcekey="_lblStep3" runat="server" CssClass="Normal" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td cssclass="SubHead">
                                                    <dnn:Label ID="lblSearch1" runat="server" ControlName="" ResourceKey="lblSf1" />
                                                    <asp:CheckBoxList ID="_cblOperators1" CssClass="normal" runat="server" RepeatColumns="1" />
                                                </td>
                                                <td cssclass="SubHead">
                                                    <dnn:Label ID="lblSearch2" runat="server" ControlName="" ResourceKey="lblSf2" />
                                                    <asp:CheckBoxList ID="_cblOperators2" CssClass="normal" runat="server" RepeatColumns="1" />
                                                </td>
                                                <td cssclass="SubHead">
                                                    <dnn:Label ID="lblSearch3" runat="server" ControlName="" ResourceKey="lblSf3" />
                                                    <asp:CheckBoxList ID="_cblOperators3" CssClass="normal" runat="server" RepeatColumns="1" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:HyperLink ID="_hypBack2" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                        &nbsp;&nbsp;|&nbsp;&nbsp;
                                <asp:HyperLink ID="_hypNext3" resourcekey="_hypNext" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                    </td>
                                </tr>
                            </table>
                        </componentart:PageView>
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td colspan="2">
                                        <asp:Label ID="_lblStep4" resourcekey="_lblStep4" runat="server" CssClass="Normal" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <componentart:TreeView id="_treSearchRoles" Height="340" Width="250" KeyboardEnabled="false"
                                            CssClass="TreeView" NodeCssClass="TreeNode" SelectedNodeCssClass="SelectedTreeNode"
                                            HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16"
                                            DefaultImageHeight="16" NodeLabelPadding="3" ShowLines="true" ImagesBaseUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/"
                                            LineImagesFolderUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/lines"
                                            EnableViewState="true" runat="server" MultipleSelectEnabled="true" MultipleSelectedNodeCssClass="SelectedTreeNode"
                                            DragAndDropEnabled="false" NodeEditingEnabled="false" WebService="DNNMasters.UMS.UI.UserControls.UMS_RolesService"
                                            WebServiceMethod="buildRolesTree" WebServiceCustomParameter="chkRoles2">
                                            <clientevents>
                                        <NodeSelect EventHandler="_treSearchRoles_onNodeSelect" />
                                    </clientevents>
                                        </componentart:TreeView>
                                    </td>
                                    <td>
                                        <asp:CheckBox ID="_chkShowInBulk" resourcekey="_chkShowInBulk" CssClass="Normal"
                                            runat="server" />
                                        <br />
                                        <asp:RadioButton ID="_rbtIncludeRole" resourcekey="_rbtIncludeRole" CssClass="Normal"
                                            runat="server" GroupName="grpInExRole" />
                                        <br />
                                        <asp:RadioButton ID="_rbtExcludeRole" resourcekey="_rbtExcludeRole" CssClass="Normal"
                                            runat="server" GroupName="grpInExRole" />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center" colspan="2">
                                        <asp:HyperLink ID="_hypBack3" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                        &nbsp;&nbsp;|&nbsp;&nbsp;
                                <asp:HyperLink ID="_hypNext4" resourcekey="_hypNext" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                    </td>
                                </tr>
                            </table>
                        </componentart:PageView>
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep5" resourcekey="_lblStep5" runat="server" CssClass="Normal" /><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <componentart:TreeView id="_trePermRoles" Height="340" Width="250" KeyboardEnabled="false"
                                            CssClass="TreeView" NodeCssClass="TreeNode" SelectedNodeCssClass="SelectedTreeNode"
                                            HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16"
                                            DefaultImageHeight="16" NodeLabelPadding="3" ShowLines="true"
                                            ImagesBaseUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/"
                                            LineImagesFolderUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/lines"
                                            EnableViewState="true" runat="server" MultipleSelectEnabled="true" MultipleSelectedNodeCssClass="SelectedTreeNode"
                                            DragAndDropEnabled="false" NodeEditingEnabled="false" WebService="DNNMasters.UMS.UI.UserControls.UMS_RolesService"
                                            WebServiceMethod="buildRolesTree" WebServiceCustomParameter="SearchPerm">
                                            <clientevents>
                                        <NodeCheckChange EventHandler="_trePermRoles_onNodeCheckChange" />
                                        <NodeExpand EventHandler="_trePermRoles_onNodeExpand" />
                                    </clientevents>
                                        </componentart:TreeView>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:HyperLink ID="_hypBack4" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                        &nbsp;&nbsp;|&nbsp;&nbsp;
                                <asp:HyperLink ID="_hypNext5" resourcekey="_hypNext" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                    </td>
                                </tr>
                            </table>
                        </componentart:PageView>

                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep6" resourcekey="_lblStep6" runat="server" CssClass="Normal" /><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td class="SubHead">
                                                    <dnn:Label ID="lblAllowAdminSearch" resource="alowadminsearch" ControlName="" Suffix=":"
                                                        runat="server">
                                                    </dnn:Label>
                                                </td>
                                                <td>
                                                    <asp:RadioButtonList ID="_rblAllowAdminSearch" runat="server" CssClass="NormalTextBox"
                                                        RepeatDirection="Horizontal">
                                                        <asp:ListItem Value="1">y</asp:ListItem>
                                                        <asp:ListItem Value="0">n</asp:ListItem>
                                                    </asp:RadioButtonList>
                                                </td>
                                            </tr>
                                        </table>
                                        <table cellspacing="0" cellpadding="0" runat="server" id="Table1" align="center">
                                            <tr>
                                                <td class="SubHead">
                                                    <dnn:Label ID="lblAdminSearch" resource="adminsearch" ControlName="" Suffix=":" runat="server">
                                                    </dnn:Label>
                                                </td>
                                                <td colspan="3">
                                                    <table cellspacing="1" cellpadding="0" border="0">
                                                        <tr runat="server" id="tr1">
                                                            <td class="SubHead" height="23">
                                                                <asp:DropDownList ID="_ddSearch1" runat="server" Width="150px" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:DropDownList ID="_ddOperator1" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:TextBox ID="_txtSearch1" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                        </tr>
                                                        <tr runat="server" id="tr2">
                                                            <td class="SubHead">
                                                                <asp:DropDownList ID="_ddSearch2" runat="server" Width="150px" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:DropDownList ID="_ddOperator2" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:TextBox ID="_txtSearch2" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                        </tr>
                                                        <tr runat="server" id="tr3">
                                                            <td class="SubHead">
                                                                <asp:DropDownList ID="_ddSearch3" runat="server" Width="150px" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:DropDownList ID="_ddOperator3" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                            <td class="SubHead">
                                                                <asp:TextBox ID="_txtSearch3" runat="server" CssClass="NormalTextBox" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td valign="bottom" runat="server" id="tdSearch" class="SubHead"></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <tr>
                                        <td align="center">
                                            <asp:HyperLink ID="_hypBack5" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                            &nbsp;&nbsp;|&nbsp;&nbsp;
                                <asp:HyperLink ID="_hypNext7" resourcekey="_hypNext" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                        </td>
                                    </tr>
                            </table>
                        </componentart:PageView>
                        <componentart:PageView CssClass="PageContent" runat="server">
                            <table border="0" width="500">
                                <tr>
                                    <td>
                                        <asp:Label ID="_lblStep7" resourcekey="_lblStep7" runat="server" CssClass="Normal" /><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:TextBox ID="_txbTemplateName" CssClass="Normal" runat="server" Width="150" /><br />
                                        <asp:RequiredFieldValidator ID="_valTemplateName" runat="server" CssClass="Normal"
                                            ControlToValidate="_txbTemplateName" ValidationGroup="grpTemplateName" Display="Dynamic"
                                            resourcekey="_valTemplateName" />
                                    </td>
                                    <tr>
                                        <td align="center">
                                            <asp:HyperLink ID="_hypBack6" resourcekey="_hypBack" runat="server" CssClass="Normal" Style="cursor: pointer;" />
                                            &nbsp;&nbsp;|&nbsp;&nbsp;
                                    <asp:LinkButton ID="_lnkFinish" runat="server" resourcekey="_hypFinish" CssClass="Normal"
                                        ValidationGroup="grpTemplateName" Style="cursor: pointer;" />
                                        </td>
                                    </tr>
                            </table>
                        </componentart:PageView>
                    </componentart:MultiPage>
                </td>
            </tr>
        </table>

    </ContentTemplate>
    <Triggers>
        <%--<asp:AsyncPostBackTrigger ControlID="_lnkFinish" EventName="Click" />--%>
        <%--<asp:AsyncPostBackTrigger ControlID="_cmdDeleteTemplate" EventName="Click" />--%>
        <asp:AsyncPostBackTrigger ControlID="_lnkNext1" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="_cmdDeleteTemplate" EventName="Click" />
        <asp:AsyncPostBackTrigger ControlID="_ddlSearchListsPortals" EventName="SelectedIndexChanged" />
    </Triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>
